.features-block {
    display: flex;
    flex-wrap: wrap;
}
.features-block__item {
    flex: 0 0 100%;
    display: flex;
    align-items: center;
    gap: 16px;
    padding: 16px 0;
    min-height: 150px;
    position: relative;
}
.features-block__item:not(:first-child):before {
    content: "";
    position: absolute;
    top: 0;
    left: -100vw;
    right: -100vw;
    height: 1px;
    background: var(--color-white);
}
.features-block__icon {
    max-height: 64px;
    width: auto;
}
.features-block__text {
    font-weight: 400;
    font-size: 14px;
    line-height: 1.5;
}
@media screen and (min-width: 768px) {
    .features-block__item {
        flex: 0 0 33.33333333%;
        max-width: 33.33333333%;
        align-items: flex-start;
        justify-content: center;
        flex-direction: column;
        gap: 10px;
        padding: 80px;
    }
    .features-block__item:nth-child(3n+1) {
        padding-left: 0;
    }
    .features-block__item:nth-child(3n+3) {
        padding-right: 0;
    }
    .features-block__item:not(:nth-child(3n+3)) {
        border-right: 1px solid var(--color-white);
    }
    .features-block__icon {
        max-height: 80px;
    }
    .features-block__text {
        font-size: 18px;
        margin-top: auto;
    }
}
@media screen and (min-width: 992px) {
    .features-block__item {
        padding: 60px;
        min-height: 380px;
    }
}
@media screen and (min-width: 1312px) {
    .features-block__item {
        padding: 80px;
        min-height: 450px;
    }
}